/*
 * AccessorNotOpenException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * Openしていないアクセッサに対し、操作を行ったときに発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class AccessorNotOpenException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 1461288834137595053L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public AccessorNotOpenException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public AccessorNotOpenException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public AccessorNotOpenException(String msg, Exception cause) {
		super(msg, cause);
	}
}
